Get Social Connection
Get status and account metadata for one social connection.
Returns status and account metadata for one connected social account.
Use the social_connection_id returned by GET /social/connections.
Request
bash
curl -X GET "https://api.mosaic.so/social/connections/7f9388af-26e8-4e68-a52b-6b9a0ef3a017" \
-H "Authorization: Bearer mk_your_api_key"Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
social_connection_id | string (uuid) | Yes | The connected account ID. |
Response
json
{
"social_connection_id": "7f9388af-26e8-4e68-a52b-6b9a0ef3a017",
"platform": "linkedin",
"connected": true,
"account_name": "Motion",
"account_username": "mosaic-so",
"profile_url": "https://www.linkedin.com/company/mosaic-so",
"username": "mosaic-so",
"display_name": "Motion",
"user_image": "https://media.licdn.com/..."
}